LibreOffice LibreOffice 5.3 SDK API Reference

Public Attributes | List of all members
GetPropertyTolerantResult Struct Referencepublished

specifies information being retrieved about a single property. More...

`import"GetPropertyTolerantResult.idl";`

Inheritance diagram for GetPropertyTolerantResult:

## Public Attributes
short | Result
| specifies a success or error code for the retrieval operation. More...
com::sun::star::beans::PropertyState | State
| contains the state of the property. More...
any | Value
| contains the value of the property. More...

## Detailed Description

specifies information being retrieved about a single property.

See also
  com::sun::star::beans::XTolerantMultiPropertySet

## Member Data Documentation

## ◆ Result

short Result

specifies a success or error code for the retrieval operation.

See also
  com::sun::star::beans::TolerantPropertySetResultType

## ◆ State

com::sun::star::beans::PropertyState State

contains the state of the property.

The value is undefined if Result is not com::sun::star::beans::TolerantPropertySetResultType::SUCCESS.

## ◆ Value

any Value

contains the value of the property.

The value is undefined if Result is not com::sun::star::beans::TolerantPropertySetResultType::SUCCESS.

The documentation for this struct was generated from the following file:

- com/sun/star/beans/GetPropertyTolerantResult.idl